%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           xmlbird
Version:        1.2.12
Release:        %mkrel 1
Summary:        XML parser with support for Vala iterators
Group:          System/Libraries
License:        LGPLv3+
Url:            https://birdfont.org/xmlbird.php
Source0:        https://birdfont.org/xmlbird-releases/lib%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  python3
BuildRequires:  vala

%description
XML parser with support for Vala iterators.

%package -n %{libname}
Summary:        XML parser with support for Vala iterators
Group:          System/Libraries

%description -n %{libname}
XML parser with support for Vala iterators.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel

%description -n %{devname}
Development files for the %{name} XML parser.

%prep
%autosetup -p1 -n lib%{name}-%{version}

sed -i -e 's/^libdir=.*/libdir=\${exec_prefix}\/%{_lib}/' scripts/pkgconfig.py

%build
%{__python3} configure -p%{_prefix} -l%{_lib} --cflags="%{optflags}"
%{__python3} build.py

%install
%{__python3} install.py -d%{buildroot}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_datadir}/vala/vapi/%{name}.vapi
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog
* Mon Oct 19 2020 akien <akien> 1.2.12-1.mga8
+ Revision: 1636835
- Version 1.2.12

* Thu Feb 20 2020 umeabot <umeabot> 1.2.11-2.mga8
+ Revision: 1547358
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 1.2.11-1.mga8
+ Revision: 1487994
- new version: 1.2.11

* Sat Nov 03 2018 daviddavid <daviddavid> 1.2.10-1.mga7
+ Revision: 1327921
- new version: 1.2.10

* Sun Sep 23 2018 umeabot <umeabot> 1.2.9-3.mga7
+ Revision: 1301935
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 1.2.9-2.mga7
+ Revision: 1243249
- force libdir to fix build on aarch64

* Mon May 14 2018 akien <akien> 1.2.9-1.mga7
+ Revision: 1229485
- Version 1.2.9

* Fri Dec 29 2017 akien <akien> 1.2.7-1.mga7
+ Revision: 1187260
- Version 1.2.7

* Sun Sep 24 2017 daviddavid <daviddavid> 1.2.4-2.mga7
+ Revision: 1158816
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Sat Oct 29 2016 akien <akien> 1.2.4-1.mga6
+ Revision: 1064031
- Version 1.2.4, fixes major (back to 1)

* Sat Apr 23 2016 akien <akien> 1.2.0-1.mga6
+ Revision: 1005510
- Version 1.2.0
- Fix libdir in pkgconfig file

* Wed Feb 17 2016 umeabot <umeabot> 1.0.6-3.mga6
+ Revision: 963625
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 akien <akien> 1.0.6-2.mga6
+ Revision: 894788
- Fix empty debuginfo by making library executable

* Fri Oct 23 2015 akien <akien> 1.0.6-1.mga6
+ Revision: 894764
- imported package xmlbird

